Open CASCADE Technology: PTopoDS_TShape1 Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
PTopoDS_TShape1 Class Referenceabstract

`#include <PTopoDS_TShape1.hxx>`

Inheritance diagram for PTopoDS_TShape1:
[legend]

## Public Member Functions
virtual TopAbs_ShapeEnum | ShapeType () const =0
| Returns the type as a term of the ShapeEnum enum : VERTEX, EDGE, WIRE, FACE, .... More...
Standard_Boolean | Modified () const
| Returns the modification flag. More...
void | Modified (const Standard_Boolean M)
| Sets the modification flag. More...
Standard_Boolean | Checked () const
| Returns the checked flag. More...
void | Checked (const Standard_Boolean C)
| Sets the checked flag. More...
Standard_Boolean | Orientable () const
| Returns the orientability flag. More...
void | Orientable (const Standard_Boolean C)
| Sets the orientability flag. More...
Standard_Boolean | Closed () const
| Returns the closedness flag. More...
void | Closed (const Standard_Boolean C)
| Sets the closedness flag. More...
Standard_Boolean | Infinite () const
| Returns the infinity flag. More...
void | Infinite (const Standard_Boolean C)
| Sets the infinity flag. More...
Standard_Boolean | Convex () const
| Returns the convexness flag. More...
void | Convex (const Standard_Boolean C)
| Sets the convexness flag. More...
Handle< PTopoDS_HArray1OfShape1 > | Shapes () const
| Returns the hshape list. More...
PTopoDS_Shape1 | Shapes (const Standard_Integer I) const
| Returns the i th element of the Shape1 list. More...
void | Shapes (const Handle< PTopoDS_HArray1OfShape1 > &S)
| Sets the Shape1 list. More...
void | Shapes (const Standard_Integer I, const PTopoDS_Shape1 &S)
| Sets the i th element of the hshape list. More...
| PTopoDS_TShape1 (const Storage_stCONSTclCOM &a)
Handle< PTopoDS_HArray1OfShape1 > | _CSFDB_GetPTopoDS_TShape1myShapes () const
void | _CSFDB_SetPTopoDS_TShape1myShapes (const Handle< PTopoDS_HArray1OfShape1 > &p)
Standard_Integer | _CSFDB_GetPTopoDS_TShape1myFlags () const
void | _CSFDB_SetPTopoDS_TShape1myFlags (const Standard_Integer p)
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Protected Member Functions
| PTopoDS_TShape1 ()

## Constructor & Destructor Documentation

PTopoDS_TShape1::PTopoDS_TShape1 | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

PTopoDS_TShape1::PTopoDS_TShape1 | ( |  | ) |
| protected

## Member Function Documentation

Standard_Integer PTopoDS_TShape1::_CSFDB_GetPTopoDS_TShape1myFlags | ( |  | ) | const
| inline

Handle< PTopoDS_HArray1OfShape1 > PTopoDS_TShape1::_CSFDB_GetPTopoDS_TShape1myShapes | ( |  | ) | const
| inline

void PTopoDS_TShape1::_CSFDB_SetPTopoDS_TShape1myFlags | ( | const Standard_Integer | p | ) |
| inline

void PTopoDS_TShape1::_CSFDB_SetPTopoDS_TShape1myShapes | ( | const Handle< PTopoDS_HArray1OfShape1 > & | p | ) |
| inline

Standard_Boolean PTopoDS_TShape1::Checked | ( |  | ) | const

Returns the checked flag.

void PTopoDS_TShape1::Checked | ( | const Standard_Boolean | C | ) |

Sets the checked flag.

Standard_Boolean PTopoDS_TShape1::Closed | ( |  | ) | const

Returns the closedness flag.

void PTopoDS_TShape1::Closed | ( | const Standard_Boolean | C | ) |

Sets the closedness flag.

Standard_Boolean PTopoDS_TShape1::Convex | ( |  | ) | const

Returns the convexness flag.

void PTopoDS_TShape1::Convex | ( | const Standard_Boolean | C | ) |

Sets the convexness flag.

Standard_Boolean PTopoDS_TShape1::Infinite | ( |  | ) | const

Returns the infinity flag.

void PTopoDS_TShape1::Infinite | ( | const Standard_Boolean | C | ) |

Sets the infinity flag.

Standard_Boolean PTopoDS_TShape1::Modified | ( |  | ) | const

Returns the modification flag.

void PTopoDS_TShape1::Modified | ( | const Standard_Boolean | M | ) |

Sets the modification flag.

Standard_Boolean PTopoDS_TShape1::Orientable | ( |  | ) | const

Returns the orientability flag.

void PTopoDS_TShape1::Orientable | ( | const Standard_Boolean | C | ) |

Sets the orientability flag.

Handle< PTopoDS_HArray1OfShape1 > PTopoDS_TShape1::Shapes | ( |  | ) | const

Returns the hshape list.

PTopoDS_Shape1 PTopoDS_TShape1::Shapes | ( | const Standard_Integer | I | ) | const

Returns the i th element of the Shape1 list.

void PTopoDS_TShape1::Shapes | ( | const Handle< PTopoDS_HArray1OfShape1 > & | S | ) |

Sets the Shape1 list.

void PTopoDS_TShape1::Shapes | ( | const Standard_Integer | I,
|  | const PTopoDS_Shape1 & | S
| ) |  |

Sets the i th element of the hshape list.

virtual TopAbs_ShapeEnum PTopoDS_TShape1::ShapeType | ( |  | ) | const
| pure virtual

Returns the type as a term of the ShapeEnum enum : VERTEX, EDGE, WIRE, FACE, ....

Implemented in PTopoDS_TSolid1, PTopoDS_TCompound1, PTopoDS_TCompSolid1, PTopoDS_TFace1, PTopoDS_TShell1, PTopoDS_TWire1, PTopoDS_TEdge1, and PTopoDS_TVertex1.

The documentation for this class was generated from the following file:

- PTopoDS_TShape1.hxx